## dcl-ifc9 5.3.1-3

=== demo/math1/rfblib/Makefile ===
#
#       Makefile for rfblib (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= rfblib
LIBSRCS		= rfbl01.f
LIBDEMO 	= rfbl01
LIBEXEC 	= rfbl01$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ core *.trace
