=== demo/math1/vrblib/Makefile ===
#
#       Makefile for vrblib (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= vrblib
LIBSRCS		= vrbl01.f
LIBDEMO 	= vrbl01
LIBEXEC 	= vrbl01$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ core *.trace
