=== src/env1/bitmap/Makefile ===
#
#       Makefile for bitmap
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude


all: $(LDBASEDIR)/bitmap.x11

$(LDBASEDIR)/bitmap.x11: bitmap.x11
	@echo "Installing bitmap file bitmap.x11 into local dcldbase directory"
	@$(CP) bitmap.x11 $(LDBASEDIR)/bitmap.x11

bitmap.x11: bmcx11 bitm16z.asc
	@echo "Creating bitmap file bitmap.x11"
	@echo "'bitm16z.asc' 'bitmap.x11'" | ./bmcx11

bmcx11: bmcx11.f
	$(FC) $(FFLAGS) -o bmcx11 bmcx11.f

clean:
	$(RM) *.o *~ bmcx11$(EXT) bitmap.x11
