=== src/grph1/oldsrc/Makefile ===
#
#       Makefile for oldsrc
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= oldsrc
LIBFSRCS	= sgsntr.f sgsclp.f sgstxf.f sgntrf.f sgsmap.f sgstrc.f \
		  sgwtrf.f supwsn.f suswnd.f suqwnd.f susvpt.f suqvpt.f \
		  supwwr.f supvpr.f slpget.f
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= sgsntr.o sgsclp.o sgstxf.o sgntrf.o sgsmap.o sgstrc.o \
		  sgwtrf.o supwsn.o suswnd.o suqwnd.o susvpt.o suqvpt.o \
		  supwwr.o supvpr.o slpget.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~
