=== src/math1/rfalib/Makefile ===
#
#       Makefile for rfalib
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= rfalib
LIBFSRCS	= rmax.f rmax0.f rmax1.f rmin.f rmin0.f rmin1.f \
		  rsum.f rsum0.f rsum1.f rave.f rave0.f rave1.f \
		  rvar.f rvar0.f rvar1.f rstd.f rstd0.f rstd1.f \
		  rrms.f rrms0.f rrms1.f ramp.f ramp0.f ramp1.f \
		  rvmax.f rvmax0.f rvmax1.f rvmin.f rvmin0.f rvmin1.f
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= rmax.o rmax0.o rmax1.o rmin.o rmin0.o rmin1.o \
		  rsum.o rsum0.o rsum1.o rave.o rave0.o rave1.o \
		  rvar.o rvar0.o rvar1.o rstd.o rstd0.o rstd1.o \
		  rrms.o rrms0.o rrms1.o ramp.o ramp0.o ramp1.o \
		  rvmax.o rvmax0.o rvmax1.o rvmin.o rvmin0.o rvmin1.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~
