=== src/math1/vrblib/Makefile ===
#
#       Makefile for vrblib
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= vrblib
LIBFSRCS	= vrfnb.f vrfnb0.f vrfnb1.f vradd.f vradd0.f vradd1.f \
		  vrsub.f vrsub0.f vrsub1.f vrmlt.f vrmlt0.f vrmlt1.f \
		  vrdiv.f vrdiv0.f vrdiv1.f
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= vrfnb.o vrfnb0.o vrfnb1.o vradd.o vradd0.o vradd1.o \
		  vrsub.o vrsub0.o vrsub1.o vrmlt.o vrmlt0.o vrmlt1.o \
		  vrdiv.o vrdiv0.o vrdiv1.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~
