=== src/math2/fftlib/Makefile ===
#
#       Makefile for fftlib
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= fftlib
LIBFSRCS	= cfftb.f cfftb1.f cfftf.f cfftf1.f cffti.f cffti1.f \
		  cosqb.f cosqb1.f cosqf.f cosqf1.f cosqi.f cost.f costi.f \
		  ezfft1.f ezfftb.f ezfftf.f ezffti.f \
		  passb.f passb2.f passb3.f passb4.f passb5.f \
		  passf.f passf2.f passf3.f passf4.f passf5.f \
		  radb2.f radb3.f radb4.f radb5.f radbg.f \
		  radf2.f radf3.f radf4.f radf5.f radfg.f \
		  rfftb.f rfftb1.f rfftf.f rfftf1.f rffti.f rffti1.f \
		  sinqb.f sinqf.f sinqi.f sint.f sint1.f sinti.f
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= cfftb.o cfftb1.o cfftf.o cfftf1.o cffti.o cffti1.o \
		  cosqb.o cosqb1.o cosqf.o cosqf1.o cosqi.o cost.o costi.o \
		  ezfft1.o ezfftb.o ezfftf.o ezffti.o \
		  passb.o passb2.o passb3.o passb4.o passb5.o \
		  passf.o passf2.o passf3.o passf4.o passf5.o \
		  radb2.o radb3.o radb4.o radb5.o radbg.o \
		  radf2.o radf3.o radf4.o radf5.o radfg.o \
		  rfftb.o rfftb1.o rfftf.o rfftf1.o rffti.o rffti1.o \
		  sinqb.o sinqf.o sinqi.o sint.o sint1.o sinti.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~
