=== src/misc1/datelib/Makefile ===
#
#       Makefile for datelib
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= datelib
LIBFSRCS	= date12.f date13.f date21.f date23.f date31.f date32.f \
		  datef1.f datef2.f datef3.f dateg1.f dateg2.f dateg3.f \
		  ndate1.f ndate2.f ndate3.f datec1.f datec2.f datec3.f \
		  dateq1.f dateq2.f iweek1.f iweek2.f iweek3.f \
		  ndmon.f ndyear.f cmon.f cweek.f
LIBCSRCS	= dateq3.c
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= date12.o date13.o date21.o date23.o date31.o date32.o \
		  datef1.o datef2.o datef3.o dateg1.o dateg2.o dateg3.o \
		  ndate1.o ndate2.o ndate3.o datec1.o datec2.o datec3.o \
		  dateq1.o dateq2.o iweek1.o iweek2.o iweek3.o \
		  ndmon.o ndyear.o cmon.o cweek.o
LIBCOBJS	= dateq3.o
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~
